// // .storybook/main.js or .storybook/main.ts
// module.exports = {
//   stories: [
//     "../components/**/*.mdx",
//     "../components/**/*.stories.@(js|jsx|mjs|ts|tsx)",
//   ],

//   addons: [
//     "@storybook/addon-links",
//     "@storybook/addon-essentials",
//     "@storybook/addon-onboarding",
//     "@storybook/addon-interactions",
//     "storybook-dark-mode",
//   ],

//   frameworks: {
//     "@storybook/nextjs": {
//       options: {},
//     },
//   },

//   docs: {
//     autodocs: "tag",
//   },

//   framework: {
//     name: "@storybook/nextjs",
//     options: {},
//   },
// };

import path from "path";

module.exports = {
  stories: [
    "../components/**/*.mdx",
    "../components/**/*.stories.@(js|jsx|mjs|ts|tsx)",
  ],
  addons: [
    "@storybook/addon-links",
    "@storybook/addon-essentials",
    "@storybook/addon-onboarding",
    "@storybook/addon-interactions",
    "storybook-dark-mode",
  ],
  webpackFinal: (config) => {
    config.resolve = {
      ...config.resolve,
      fallback: {
        fs: false,
        path: false,
        os: false,
      },
      alias: {
        ...config.resolve.alias,
        "@components": path.resolve(__dirname, "../components"),
        "@img": path.resolve(__dirname, "../public/images"),
      },
    };
    return config;
  },
  framework: {
    name: "@storybook/nextjs",
    options: {},
  },
};
